<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.mostraLocais.title']}" />
	</ui:define>
	
	<ui:define name="principal">
		<p:link outcome="mostraTodosCampeonatos.xhtml" value="#{msg['pages.menuCampeonatos.backShowChamp']}"/>
		<h1><p:outputLabel value="#{msg['pages.mostraLocais.title']}"/></h1>
		
		<h:form id="formMostraLocais">
		
			<p:dataTable var="aux"
					 value="#{localManagedBeans.campeonatoSelecionado.locais}"
					 id="tabelaLocal"
					 editable="true" paginator="true"
					 rows="5"
					 paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                	 rowsPerPageTemplate="5,10,15">
                
                <p:ajax event="rowEdit" listener="#{localManagedBeans.onRowEdit}" update="tabelaLocal" />
					
				<p:column filterBy="#{aux.endereco}" headerText="#{msg['pages.cadastraLocal.endereco']}">
					<p:cellEditor>
						<f:facet name="output">
							<p:outputLabel value="#{aux.endereco}"/>
						</f:facet>
						<f:facet name="input">
							<p:inputText value="#{aux.endereco}"/>
						</f:facet>
					</p:cellEditor>
				</p:column>
				
				<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<p:rowEditor />
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{localManagedBeans.remover(aux)}"
						update="tabelaLocal" />
	  			</p:column>
				
			</p:dataTable>
		</h:form>
	
	
	</ui:define>	
</ui:composition>